package kmux

import (
	"net/http"
)

type kserver struct {
	http.Server
}

// Listen to addr
func (s *kserver) Listen(addr string) *kserver {
	s.Addr = addr
	return s
}

// Serve alias to ListenAndServe
func (s *kserver) Serve() error {
	return s.ListenAndServe()
}

func (s *kserver) ListenAndServe() error {
	return s.Server.ListenAndServe()
}
